package org.jboss.demo.factory;

import javax.ejb.EJB;
import javax.ejb.Remote;
import javax.ejb.Stateless;

import org.jboss.demo.remoting.PojoBean;
import org.jboss.demo.remoting.factory.PojoFactory;
import org.jboss.demo.store.PojoStore;

/**
 * Session Bean implementation class PojoFactoryBean
 */
@Stateless
@Remote(PojoFactory.class)
public class PojoFactoryBean implements PojoFactory {

    @EJB
    private PojoStore pojoStore;

    @Override
    public PojoBean createPojo(String name, String description) {
        return pojoStore.add(name, description);
    }

    @Override
    public PojoBean findPojo(int key) {
        return pojoStore.find(key);
    }

}
