package org.jboss.demo.store;

import java.util.HashMap;
import java.util.Map;

import javax.annotation.PostConstruct;
import javax.ejb.LocalBean;
import javax.ejb.Singleton;

import org.jboss.demo.remoting.PojoBean;
import org.jboss.logging.Logger;

/**
 * Session Bean implementation class PojoStore
 */
@Singleton
@LocalBean
public class PojoStore {

    private Logger logger = Logger.getLogger(getClass());

    private int nextKey = 20000;

    private Map<Integer, PojoBean> pojoStore;

    @PostConstruct
    void initialise() {
        pojoStore = new HashMap<Integer, PojoBean>();
    }

    public PojoBean find(int key) {
        return pojoStore.get(key);
    }

    public PojoBean add(String name, String description) {
        logger.infof("Adding pojo named %s", name);
        int key = ++nextKey;
        PojoBean addedBean = new PojoBean(key, name, description);
        pojoStore.put(key, addedBean);
        return addedBean;
    }
}
