package org.jboss.demo.remoting.web;

import java.io.IOException;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jboss.demo.remoting.PojoBean;
import org.jboss.demo.remoting.factory.PojoFactory;
import org.jboss.logging.Logger;

/**
 * Servlet implementation class RemoteClientInvoker
 */
@WebServlet("/RemoteClientInvoker")
public class RemoteClientInvoker extends HttpServlet {
	private static final long serialVersionUID = 1L;
    private Logger logger = Logger.getLogger(getClass());
       
	@EJB(lookup="java:global/remoting-app/remoting-ejb/PojoFactoryBean")
	private PojoFactory pojoFactory;
	
    /**
     * @see HttpServlet#HttpServlet()
     */
    public RemoteClientInvoker() {
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	    PojoBean pojoBean = pojoFactory.createPojo("test", "test pojo");
        logger.infof("Created pojo bean %s", pojoBean);
        response.getWriter().println("Created pojo bean " + pojoBean);
	}

}
